Bug Hunting Session
Bug 79558 - FILESAVE: DOCX: pattern fill on paragraph lost
Summary: FILESAVE: DOCX: pattern fill on paragraph lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Jacobo Aragunde Pérez
URL:
Whiteboard: target:4.4.0 target:4.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-02 15:33 UTC by Jacobo Aragunde Pérez
Modified: 2016-07-11 21:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case (12.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-06-02 15:33 UTC, Jacobo Aragunde Pérez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacobo Aragunde Pérez 2014-06-02 15:33:56 UTC
Created attachment 100319 [details]
Test case

Steps to reproduce:

1. Open test case.
2. Save as a new .docx document.
3. Open the saved document with Word.

The exported document will have lost the diagonal paragraph fill pattern from the original.
Comment 1 Jorendc 2014-06-05 12:34:51 UTC
Repro, tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: b447687292334687a371b66d7ad56ba9662b898e
TinderBox: Win-x86@39, Branch:master, Time: 2014-06-03_06:24:04

Kind regards,
Joren
Comment 2 Jacobo Aragunde Pérez 2014-06-06 11:21:36 UTC
Two issues are involved in this bug:

* Attributes w:val, w:color, w:themeColor, w:themeShade, w:themeTint, w:themeFillShade and w:themeFillTint in w:shd tag are not preserved.

* When a w:shd has some pattern with two colors, LO blends both to render the paragraph background. For that reason the original color saved in the grab bag and the final color of the paragraph don't match and it's assumed that the color has changed and the grab-bagged attributes are discarded.
Comment 3 Commit Notification 2014-06-06 11:58:06 UTC
Jacobo Aragunde Perez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f1684dc3724f9364f226fd0eb21b01ba07cf017

fdo#79558: Preserve missing attributes in paragraph w:shd



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-06-06 11:58:20 UTC
Jacobo Aragunde Perez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1534c3363336003c4f84cfec1bf988fef6663f8a

fdo#79558: Do not overwrite w:shd value



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-06-06 12:17:48 UTC
Jacobo Aragunde Perez committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2b0a12727463e3ddc0dc17fa0b4ce561dc3ca3d&h=libreoffice-4-3

fdo#79558: Preserve missing attributes in paragraph w:shd


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-06-06 12:18:00 UTC
Jacobo Aragunde Perez committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a09788e3507b0c5cb53e4d489e3a15e57c57f05&h=libreoffice-4-3

fdo#79558: Do not overwrite w:shd value


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.